<< tf2zp | FOSSEE_Signal_Processing_Toolbox | tfe >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > tf2zpk

# tf2zpk

Converts transfer function filter parameters to zero-pole-gain form

### Syntax

    [z,p,k] = tf2zpk(b,a)

### Parameters

z :

  zeros of the corrsponding tf

p :

  poles of the corresponding tf

k :

  gain of the tf

b :

  vector containing the numerator coefficients of the transfer function in descending powers of s

a :

  vector containing the denominator coefficients of the transfer function in descending powers of s

### Examples

    // Convert transfer function to zero-pole-gain form
    // Define the numerator and denominator coefficients of the transfer function
    num = [1, -3, 2] // Coefficients of s^2 - 3s + 2
    den = [1, -2, 1] // Coefficients of s^2 - 2s + 1
    // Convert to zero-pole-gain form
    [z, p, k] = tf2zpk(num, den)

### See also

- eqtflength — Modifies the input vectors to give output vectors of the same length.
- tf2zp — Transfer function to zero pole conversion

Report an issue
<< tf2zp | FOSSEE_Signal_Processing_Toolbox | tfe >>